Bug 52507 - Delete Http User Parameters modifier?
Delete Http User Parameters modifier?
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: HTTP
2.5.1
PC Windows XP
: P2 minor (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2012-01-23 16:55 UTC by Sebb
Modified: 2012-01-26 19:45 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebb 2012-01-23 16:55:23 UTC
Should probably now delete the Http User Parameters Modifier class.

It cannot be auto-updated, but I doubt it has been used for a (very) long time.

If deleted, the files bin/users.xml and users.dtd could probably also be removed.

Consider whether to replace with ObsoleteGUI?
Comment 1 Milamber 2012-01-24 07:28:06 UTC
Yes too, this element is certainly very obsolete (I've never use it)
Comment 2 Philippe Mouawad 2012-01-24 18:16:26 UTC
I agree.
Comment 3 Sebb 2012-01-25 00:34:47 UTC
URL: http://svn.apache.org/viewvc?rev=1235574&view=rev
Log:
Bug 52507 - Delete Http User Parameters modifier (deprecated, obsolete)

Removed:
   jmeter/trunk/bin/users.dtd
   jmeter/trunk/bin/users.xml
   jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/modifier/UserParameterModifier.java
   jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/modifier/gui/UserParameterModifierGui.java
Modified:
   jmeter/trunk/bin/testfiles/GuiTest.jmx
   jmeter/trunk/bin/testfiles/GuiTest231.jmx
   jmeter/trunk/bin/upgrade.properties
   jmeter/trunk/xdocs/changes.xml
   jmeter/trunk/xdocs/usermanual/component_reference.xml
Comment 4 Philippe Mouawad 2012-01-26 19:45:09 UTC
This one is fixed, I close it